We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6257 - Upgrading from 2.x to 2.3.x orphans some plug-in settings due to upper/lower case change in plugin_settings.
Upgrading from 2.x to 2.3.x orphans some plug-in settings due to upper/lower ...
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.3.4
PC Linux
: P3 normal
Assigned To: jerico
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-26 09:35 PST by jerico
Modified: 2011-01-31 12:15 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.3, OCS 2.3.4, OHS 2.3.2, OMP 1.0


Attachments
Patch against ojs 2.3.3-3 (4.02 KB, patch)
2010-11-29 19:58 PST, jerico
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jerico 2010-11-26 09:35:20 PST
The original bug report was on the forum, see http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=6840&p=26455#p26455

Unfortunately there doesn't seem to be an easy workaround. A patch will have to be provided.
Comment 1 jerico 2010-11-29 19:54:06 PST
Fixed, see: 
https://github.com/pkp/ojs/commit/5206b3fad040ba25a3f945ef02dff3490f52513e
https://github.com/pkp/ocs/commit/90c360be2141238a7094bb5f4fa0e82f7319ddc4
https://github.com/pkp/harvester/commit/396ba24576edc0f8a7ac3c9ce7afe976dd1027b7
https://github.com/pkp/omp/commit/3a9f06bb00f3a53c6a14b63c942f179913acf709

And for the 2.3.3 branch (with different version numbers in upgrade.xml):
https://github.com/pkp/ojs/commit/9bd22dcbbd426c882469f6d082ee4b19615e53ad.diff

Alec, do we already have (hidden?) branches for ocs too? I couldn't find them. That's why I don't have a diff against OCS 2.3.3-1. We have to be careful because although the patch
https://github.com/pkp/ocs/commit/90c360be2141238a7094bb5f4fa0e82f7319ddc4.diff will apply, it will probably not work correctly on upgrade due to the wrong version numbers in upgrade.xml, see the OJS 2.3.3 patch.
Comment 2 jerico 2010-11-29 19:58:03 PST
Created attachment 3369 [details]
Patch against ojs 2.3.3-3